NXOpen .NET Reference  12.0.0
NXOpen.CAE.Post Member List

This is the complete list of members for NXOpen.CAE.Post, including all inherited members.

Abcissa enum nameNXOpen.CAE.Post
AnimationControl enum nameNXOpen.CAE.Post
AnimationIterationTypes enum nameNXOpen.CAE.Post
AnimationStyle enum nameNXOpen.CAE.Post
AnimationType enum nameNXOpen.CAE.Post
AxisymetricAxis enum nameNXOpen.CAE.Post
BandStyle enum nameNXOpen.CAE.Post
ClipPlane enum nameNXOpen.CAE.Post
ClipSide enum nameNXOpen.CAE.Post
CompareDisplayFiles(string benchmarkFileName, string testFileName, NXOpen.CAE.Post.ASCIIDiffTolerances tolerances)NXOpen.CAE.Post
CreateAnnotation(int postviewId, string name, int num, bool max, string[] usertext)NXOpen.CAE.Post
CreateAnnotation(int postviewId, string name, int[] entities, int[] subEntities, string[] usertext)NXOpen.CAE.Post
CreateAnnotation(int postviewId, string name, int[] elements, int[] nodes, int[] elmedgeface, string[] usertext)NXOpen.CAE.Post
CreateAnnotation(int postviewId, string name, double xcoord, double ycoord, string[] usertext)NXOpen.CAE.Post
CreateAnnotationBuilder(int pvid)NXOpen.CAE.Post
CreateCrossSectionViewForResult(int viewIndex, int resultId, NXOpen.CAE.CrossSectionParameters result)NXOpen.CAE.Post
CreateHistoryGraph(int postviewId, string name, NXOpen.CAE.Post.GraphParameters graph, int startIteration, int endIteration, int iterationIncrement, int nodeLabel, double[] point)NXOpen.CAE.Post
CreateNewPostview(int viewIndex, int resultId, bool overlay, NXOpen.CAE.Post.DisplayColorSchemeType colorscheme)NXOpen.CAE.Post
CreateNewPostview(int viewIndex, NXOpen.CAE.Result result, bool overlay, NXOpen.CAE.Post.DisplayColorSchemeType colorscheme)NXOpen.CAE.Post
CreateNewPostviewForResult(int viewIndex, int resultId, bool overlay, NXOpen.CAE.Result.ResultParameters result, NXOpen.CAE.Post.DisplayColorSchemeType colorscheme)NXOpen.CAE.Post
CreateNewPostviewForResult(int viewIndex, NXOpen.CAE.Result result, bool overlay, NXOpen.CAE.ResultParameters resultParamter, NXOpen.CAE.Post.DisplayColorSchemeType colorscheme)NXOpen.CAE.Post
CreatePathFromElemIds(int postviewId, string name, int[] elemIds)NXOpen.CAE.Post
CreatePathFromNodeIds(int postviewId, string name, int[] nodeIds)NXOpen.CAE.Post
CreatePathFromPoints(int postviewId, string name, double[] points, int numberOfInsertPointsPerSegment)NXOpen.CAE.Post
CreatePostShowhideBuilder(int pvid)NXOpen.CAE.Post
CreatePostview(int viewIndex, int resultId, bool overlay)NXOpen.CAE.Post
CreatePostview(int viewIndex, NXOpen.CAE.Result result, bool overlay)NXOpen.CAE.Post
CreatePostview(int viewIndex, NXOpen.CAE.ResultParametersWithProbe probeparams, bool overlay)NXOpen.CAE.Post
CreatePostview(int viewIndex, NXOpen.CAE.ResultParametersWithNodalForceReport nodalforcereportparams)NXOpen.CAE.Post
CreatePostviewForResult(int viewIndex, int resultId, bool overlay, NXOpen.CAE.Result.ResultParameters result)NXOpen.CAE.Post
CreatePostviewForResult(int viewIndex, NXOpen.CAE.Result result, bool overlay, NXOpen.CAE.ResultParameters resultParamter)NXOpen.CAE.Post
CreatePostviewsForResultAndSE(int viewIndex, NXOpen.CAE.Result result, NXOpen.CAE.ResultParameters resultParamter, out int[] postviewIds)NXOpen.CAE.Post
CreateSpatialGraph(int postviewId, string name, NXOpen.CAE.Post.GraphParameters graph, int pathId)NXOpen.CAE.Post
CreateStreamlineSeedSet(int postviewId, string name, NXOpen.CAE.Post.StreamlineSeed[] seeds)NXOpen.CAE.Post
CreateUserGroupFromEntityLabels(int postviewId, NXOpen.CAE.CaeGroupCollection.EntityType entityType, int[] labels)NXOpen.CAE.Post
CreateUserGroupFromEntityLabels(int postviewId, NXOpen.CAE.Result result, NXOpen.CAE.CaeGroupCollection.EntityType entityType, int[] labels)NXOpen.CAE.Post
CrossSectionViewSetLockRotation(int postviewId, bool lockRotation)NXOpen.CAE.Post
CrossSectionViewSetResult(int postviewId, NXOpen.CAE.CrossSectionParameters result)NXOpen.CAE.Post
DeleteAllTemplates()NXOpen.CAE.Post
Deletegraphs(NXOpen.CAE.PostGraph[] graphs)NXOpen.CAE.Post
DeleteViewport(int viewIndex)NXOpen.CAE.Post
DisplayColorSchemeType enum nameNXOpen.CAE.Post
EdgeStyle enum nameNXOpen.CAE.Post
Export enum nameNXOpen.CAE.Post
FaceFillStyle enum nameNXOpen.CAE.Post
FaceStyle enum nameNXOpen.CAE.Post
Format enum nameNXOpen.CAE.Post
GetAnnotations(int postviewId, out NXOpen.CAE.PostAnnotation[] annotation)NXOpen.CAE.Post
GetClipLocations(int pvid, out NXOpen.CAE.PostSelectionEntity[] cutinfos)NXOpen.CAE.Post
GetElemsVisibility(int pvid, out bool includeOrExculdes)NXOpen.CAE.Post
GetPostviewIds()NXOpen.CAE.Post
GetResultForPostview(int postviewId, out NXOpen.CAE.Result result, out NXOpen.CAE.ResultParameters resultParamter)NXOpen.CAE.Post
GraphDelete(NXOpen.CAE.Post.GraphIds graphIds)NXOpen.CAE.Post
GroupVisibility enum nameNXOpen.CAE.Post
IntegrationScheme enum nameNXOpen.CAE.Post
Legend enum nameNXOpen.CAE.Post
LimitDisplay enum nameNXOpen.CAE.Post
LoadImportedResult(string resultName, string fileName, NXOpen.Unit[] units)NXOpen.CAE.Post
LoadRaEventResult(NXOpen.CAE.ResponseSimulation.RSEvent raEvent)NXOpen.CAE.Post
LoadSolutionResult(NXOpen.CAE.SimSolution solution)NXOpen.CAE.Post
LoadTemplate(string filename, string name, out int templateId)NXOpen.CAE.Post
MarkColor enum nameNXOpen.CAE.Post
Marker enum nameNXOpen.CAE.Post
MarkHide enum nameNXOpen.CAE.Post
MarkLocation enum nameNXOpen.CAE.Post
MarkMaximumSize enum nameNXOpen.CAE.Post
MarkRenderStyle enum nameNXOpen.CAE.Post
MarkSize enum nameNXOpen.CAE.Post
MarkTensorStyle enum nameNXOpen.CAE.Post
NoDataTreatment enum nameNXOpen.CAE.Post
NodeValueSharingCriterion enum nameNXOpen.CAE.Post
PathDelete(int pathId)NXOpen.CAE.Post
PlotGraph(int viewIndex, NXOpen.CAE.Post.GraphIds graphIds, bool overlay)NXOpen.CAE.Post
Plotgraphs(int windowIndex, int viewIndex, NXOpen.CAE.PostGraph[] graphs, bool overlay)NXOpen.CAE.Post
Position enum nameNXOpen.CAE.Post
PostProcessingSessionNXOpen.CAE.Post
PostviewAnimationControl(int postviewId, NXOpen.CAE.Post.AnimationControl control, int frame, bool fullCycle, int delay)NXOpen.CAE.Post
PostviewAnimationControlStreamline(int postviewId, NXOpen.CAE.Post.AnimationStreamline control)NXOpen.CAE.Post
PostviewAnimationPlay(int postviewId, NXOpen.CAE.Post.Animation animation)NXOpen.CAE.Post
PostviewAnimationPlay(int postviewId, NXOpen.CAE.Post.AnimationParameters animation)NXOpen.CAE.Post
PostviewApplyAllSEVis(int pvid, bool visibility)NXOpen.CAE.Post
PostviewApplyCsysContainerVisibility(int postviewId, bool visibility)NXOpen.CAE.Post
PostviewApplyCsysVisibility(int postviewId, int id, bool visibility)NXOpen.CAE.Post
PostviewApplyGroupContainerVisibility(int postviewId, NXOpen.CAE.Result.GroupContainer container, bool visibility)NXOpen.CAE.Post
PostviewApplyGroupContainerVisibility(int postviewId, NXOpen.CAE.Result result, NXOpen.CAE.Result.GroupContainer container, bool visibility)NXOpen.CAE.Post
PostviewApplyGroupContainerVisibility(int postviewId, NXOpen.CAE.Result.GroupContainer[] container, bool visibility)NXOpen.CAE.Post
PostviewApplyGroupContainerVisibility(int postviewId, NXOpen.CAE.Result result, NXOpen.CAE.Result.GroupContainer[] container, bool visibility)NXOpen.CAE.Post
PostviewApplyGroupVisibility(int postviewId, NXOpen.CAE.Result.GroupContainer container, int group, bool visibility)NXOpen.CAE.Post
PostviewApplyGroupVisibility(int postviewId, int resultId, NXOpen.CAE.Result.GroupContainer container, int group, bool visibility)NXOpen.CAE.Post
PostviewApplyGroupVisibility(int postviewId, NXOpen.CAE.Result.GroupContainer[] container, int[] group, bool visibility)NXOpen.CAE.Post
PostviewApplyGroupVisibility(int postviewId, int resultId, NXOpen.CAE.Result.GroupContainer[] container, int[] group, bool visibility)NXOpen.CAE.Post
PostviewApplySERepresentation(int postviewId, int superelementId, NXOpen.CAE.Result.SuperElementRep representation)NXOpen.CAE.Post
PostviewApplySERepresentation(int postviewId, int[] superelementIds, NXOpen.CAE.Result.SuperElementRep representation)NXOpen.CAE.Post
PostviewApplySEVisibility(int postviewId, int superelementId, bool visibility)NXOpen.CAE.Post
PostviewApplyShowAll(int postviewId)NXOpen.CAE.Post
PostviewApplyTemplate(int postviewId, int templateId)NXOpen.CAE.Post
PostviewApplyTemplateFile(int postviewId, string xmlFileName)NXOpen.CAE.Post
PostviewApplyUserGroupVisibility(int postviewId, int[] usergroupIds, NXOpen.CAE.Post.GroupVisibility visibility)NXOpen.CAE.Post
PostviewApplyUserGroupVisibility(int postviewId, NXOpen.CAE.Result result, int[] usergroupIds, NXOpen.CAE.Post.GroupVisibility visibility)NXOpen.CAE.Post
PostviewApplyUserGroupVisibility(int postviewId, NXOpen.CAE.Result[] results, int[] usergroupIds, NXOpen.CAE.Post.GroupVisibility visibility)NXOpen.CAE.Post
PostviewAskSERepresentations(int postviewId, int superelementId, out NXOpen.CAE.Result.SuperElementRep[] representation)NXOpen.CAE.Post
PostviewCaptureAnimatedGif(int postviewId, string fileName, bool includeOverlayedPostviews, bool whiteBackground)NXOpen.CAE.Post
PostviewCreateClone(int postviewId, int viewIndex)NXOpen.CAE.Post
PostviewDelete(int postviewId)NXOpen.CAE.Post
PostviewExportDisplay(int postviewId, string fileName, NXOpen.CAE.Post.Export format, bool ignoreClipping, bool ignoreVisibility)NXOpen.CAE.Post
PostviewExportTemplate(int postviewId, string xmlFileName)NXOpen.CAE.Post
PostviewGetColorbar(int postviewId, out int customOverwrite)NXOpen.CAE.Post
PostviewGetFontSize(int postviewId, out int autoFontSize, out double fontScale)NXOpen.CAE.Post
PostviewGetFormat(int postviewId, out NXOpen.CAE.Post.Format format, out int numdecimal)NXOpen.CAE.Post
PostviewGetShowHeader(int postviewId)NXOpen.CAE.Post
PostviewGetText(int postviewId)NXOpen.CAE.Post
PostviewGetUserGroupGids(int postviewId, string[] usergroupNames, out int[] usergroupsGids)NXOpen.CAE.Post
PostviewMarkerOnOff(int postviewId, bool showMarker)NXOpen.CAE.Post
PostviewRename(int postviewId, string newName)NXOpen.CAE.Post
PostviewSaveTemplate(int postviewId)NXOpen.CAE.Post
PostviewSetAnnotationBox(int postviewId, NXOpen.CAE.Post.AnnotationBox annotationBox)NXOpen.CAE.Post
PostviewSetAxisymmetric(int postviewId, NXOpen.CAE.Post.Axisymmetric axisymmetric)NXOpen.CAE.Post
PostviewSetBandStyle(int postviewId, NXOpen.CAE.Post.BandStyle bandstyle)NXOpen.CAE.Post
PostviewSetClipping(int postviewId, NXOpen.CAE.Post.Clipping clipping)NXOpen.CAE.Post
PostviewSetClipping(int postviewId, NXOpen.CAE.ClippingParameters clipping)NXOpen.CAE.Post
PostviewSetColorbar(int postviewId, NXOpen.CAE.Post.Colorbar colorbar)NXOpen.CAE.Post
PostviewSetColorbar(int postviewId, NXOpen.CAE.Post.Colorbar colorbar, bool customOverwrite, double[] rangeValue, NXOpen.NXColor.Rgb[] rangeColors)NXOpen.CAE.Post
PostviewSetColorDisplayDeformationSynchronization(int postviewId, bool synchronization)NXOpen.CAE.Post
PostViewSetColorScheme(int postviewId, NXOpen.CAE.Post.DisplayColorSchemeType colorScheme)NXOpen.CAE.Post
PostviewSetCompression(int postviewId, bool compress, double featureangle, double banddifference)NXOpen.CAE.Post
PostviewSetCriticalLayerIdDisplay(int postviewId, bool displayCriticalLayers)NXOpen.CAE.Post
PostviewSetCriticalLoadIdDisplay(int postviewId, bool displayCriticalLoads)NXOpen.CAE.Post
PostviewSetCriticalPlyIdDisplay(int postviewId, bool displayCriticalPlies)NXOpen.CAE.Post
PostviewSetCurrentInOverlay(int postviewId)NXOpen.CAE.Post
PostviewSetDeformation(int postviewId, NXOpen.CAE.Result.DeformationParameters deformation)NXOpen.CAE.Post
PostviewSetDeformation(int postviewId, NXOpen.CAE.DeformationParameters deformation)NXOpen.CAE.Post
PostviewSetDeformed(int postviewId, bool deformed)NXOpen.CAE.Post
PostviewSetDeformedUndeformedSynchronization(int postviewId, bool showDeformedPrimaryDisplay, bool showUndeformedModel, bool synchronizeLoadCaseAndIteration)NXOpen.CAE.Post
PostviewSetEdgeFace(int postviewId, NXOpen.CAE.Post.EdgeFace primaryEdgeface, NXOpen.CAE.Post.EdgeFace undeformedEdgeface)NXOpen.CAE.Post
PostviewSetEdgeFace(int postviewId, NXOpen.CAE.Post.EdgeFace edgeface)NXOpen.CAE.Post
PostviewSetEdgeFace(int postviewId, NXOpen.CAE.Post.PrimaryEdgeFace primaryEdgeface, NXOpen.CAE.Post.EdgeFace undeformedEdgeface)NXOpen.CAE.Post
PostviewSetEdgeFace(int postviewId, NXOpen.CAE.Post.PrimaryEdgeFace primaryEdgeface)NXOpen.CAE.Post
PostviewSetFontSize(int postviewId, bool autoFontSize, double fontScale)NXOpen.CAE.Post
PostviewSetFormat(int postviewId, NXOpen.CAE.Post.Format format, int numdecimal)NXOpen.CAE.Post
PostviewSetGlobalTranslucency(int pvid, bool isTranslucent)NXOpen.CAE.Post
PostviewSetGroupContainerVisibility(int postviewId, NXOpen.CAE.Result.GroupContainer container, bool visibility)NXOpen.CAE.Post
PostviewSetGroupVisibility(int postviewId, NXOpen.CAE.Result.GroupContainer container, int group, bool visibility)NXOpen.CAE.Post
PostviewSetHeaderlines(int postviewId, NXOpen.CAE.Post.Headerlines[] headerlines)NXOpen.CAE.Post
PostviewSetLegend(int postviewId, bool showLegend, NXOpen.CAE.Post.Legend legend)NXOpen.CAE.Post
PostviewSetLighting(int postviewId, bool lighted)NXOpen.CAE.Post
PostviewSetMark(int postviewId, NXOpen.CAE.Post.Mark mark)NXOpen.CAE.Post
PostviewSetMarker(int postviewId, bool showMarker, NXOpen.CAE.Post.Marker marker)NXOpen.CAE.Post
PostviewSetMeshTransparency(int pvid, NXOpen.CAE.PostMesh[] meshes, bool isTransparent)NXOpen.CAE.Post
PostviewSetPosition(int postviewId, NXOpen.CAE.Post.Position position)NXOpen.CAE.Post
PostviewSetResult(int postviewId, NXOpen.CAE.Result.ResultParameters result)NXOpen.CAE.Post
PostviewSetResult(int postviewId, NXOpen.CAE.ResultParameters resultParamter)NXOpen.CAE.Post
PostviewSetResultWithNodalForceReport(int postviewId, NXOpen.CAE.ResultParametersWithNodalForceReport nodalforcereportparams)NXOpen.CAE.Post
PostviewSetResultWithProbe(int postviewId, NXOpen.CAE.ResultParametersWithProbe probeparams)NXOpen.CAE.Post
PostviewSetShowHeader(int postviewId, NXOpen.CAE.Post.ShowHeader showHeader)NXOpen.CAE.Post
PostviewSetStreamline(int postviewId, NXOpen.CAE.Post.Streamline streamline)NXOpen.CAE.Post
PostviewSetStreamlineSeedSet(int postviewId, int seedsetId)NXOpen.CAE.Post
PostviewSetStreamlineVelocity(int postviewId, NXOpen.CAE.Result.VelocityParameters velocity)NXOpen.CAE.Post
PostviewSetStreamlineVelocity(int postviewId, NXOpen.CAE.BaseResultType velocity)NXOpen.CAE.Post
PostviewSetStyle(int postviewId, int showStyle, NXOpen.CAE.Post.Style style)NXOpen.CAE.Post
PostviewSetTarget(int postviewId, NXOpen.CAE.Post.Target target)NXOpen.CAE.Post
PostviewSetText(int postviewId, NXOpen.CAE.Post.Text text)NXOpen.CAE.Post
PostviewSetUndeformed(int postviewId, bool undeformed)NXOpen.CAE.Post
PostviewUpdate(int postviewId)NXOpen.CAE.Post
PreferenceNXOpen.CAE.Post
ReloadTemplates()NXOpen.CAE.Post
Scale enum nameNXOpen.CAE.Post
SetFactoryDefaultTemplate()NXOpen.CAE.Post
ShowHeader enum nameNXOpen.CAE.Post
Spectrum enum nameNXOpen.CAE.Post
StreamlineColor enum nameNXOpen.CAE.Post
StreamlineDirection enum nameNXOpen.CAE.Post
StreamlineLineWeight enum nameNXOpen.CAE.Post
StreamlineSeedSetDelete(int seedsetId)NXOpen.CAE.Post
StreamlineSize enum nameNXOpen.CAE.Post
StreamlineStyle enum nameNXOpen.CAE.Post
StreamlineSynchronization enum nameNXOpen.CAE.Post
Style enum nameNXOpen.CAE.Post
TagNXOpen.CAE.Post
Target enum nameNXOpen.CAE.Post
TemplateDelete(int templateId)NXOpen.CAE.Post
TemplateRename(int templateId, string newName)NXOpen.CAE.Post
TemplateSearch(string name)NXOpen.CAE.Post
TemplateSetAsDefault(int templateId)NXOpen.CAE.Post
Threshold enum nameNXOpen.CAE.Post
UnloadResult(int resultId)NXOpen.CAE.Post
UnloadResultFile(string fileName)NXOpen.CAE.Post
UpdateUserGroupsFromSimPart(NXOpen.CAE.SimPart simpart)NXOpen.CAE.Post
UserGroupDelete(int usergroupId)NXOpen.CAE.Post
UserGroupDelete(NXOpen.CAE.Result result, int usergroupId)NXOpen.CAE.Post
UserGroupRename(int usergroupId, string newName)NXOpen.CAE.Post
UserGroupRename(NXOpen.CAE.Result result, int usergroupId, string newName)NXOpen.CAE.Post
ValueSharingCriterion enum nameNXOpen.CAE.Post
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.